package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.JQXTBYD;
import com.sinosig.core.module.filter.JQXTBYDSearchContext;

/**
 * 实体[JQXTBYD] 服务对象接口
 */

public interface IJQXTBYDService{
     boolean checkKey(JQXTBYD jqxtbyd) ;
     boolean create(JQXTBYD jqxtbyd) ;
     JQXTBYD getDraftTemp(JQXTBYD jqxtbyd) ;
     JQXTBYD getTBYDKXX(JQXTBYD jqxtbyd) ;
     JQXTBYD createTemp(JQXTBYD jqxtbyd) ;
     JQXTBYD getTemp(JQXTBYD jqxtbyd) ;
     JQXTBYD removeTemp(JQXTBYD jqxtbyd) ;
     boolean save(JQXTBYD jqxtbyd) ;
     boolean remove(String jqxtbydid) ;
     JQXTBYD get(String jqxtbydid) ;
     JQXTBYD get(JQXTBYD jqxtbyd) ;
     JQXTBYD removeTempMajor(JQXTBYD jqxtbyd) ;
     JQXTBYD updateTemp(JQXTBYD jqxtbyd) ;
     JQXTBYD updateTempMajor(JQXTBYD jqxtbyd) ;
     boolean update(JQXTBYD jqxtbyd) ;
     JQXTBYD getDraftTempMajor(JQXTBYD jqxtbyd) ;
     JQXTBYD getTempMajor(JQXTBYD jqxtbyd) ;
     JQXTBYD getDraft(JQXTBYD jqxtbyd) ;
     JQXTBYD createTempMajor(JQXTBYD jqxtbyd) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<JQXTBYD> searchDefault(JQXTBYDSearchContext context) ;

    /**
     * 根据车险单查询
     */
     Page<JQXTBYD> selectByCID(String cidid) ;
     List<JQXTBYD> selectByCID2(String cidid);

    /**
     * 根据特别约定库查询
     */
     Page<JQXTBYD> selectByTBYDK(String tbydkid) ;
     List<JQXTBYD> selectByTBYDK2(String tbydkid);

}
